summaryrefslogtreecommitdiffstats
path: root/system/zutty
diff options
context:
space:
mode:
Diffstat (limited to 'system/zutty')
-rw-r--r--system/zutty/README17
-rw-r--r--system/zutty/doinst.sh10
-rw-r--r--system/zutty/slack-desc19
-rw-r--r--system/zutty/zutty.SlackBuild102
-rw-r--r--system/zutty/zutty.desktop9
-rw-r--r--system/zutty/zutty.info10
6 files changed, 167 insertions, 0 deletions
diff --git a/system/zutty/README b/system/zutty/README
new file mode 100644
index 0000000000..a3efbbfcbc
--- /dev/null
+++ b/system/zutty/README
@@ -0,0 +1,17 @@
+zutty (X terminal emulator using OpenGL ES Compute Shaders)
+
+Zutty is a terminal emulator for the X Window System, functionally
+similar to several other X terminal emulators such as xterm, rxvt and
+countless others. It is also similar to other, much more modern,
+GPU-accelerated terminal emulators such as Alacritty and Kitty. What
+really sets Zutty apart is its radically simple, yet extremely
+efficient rendering implementation, coupled with a sufficiently
+complete feature set to make it useful for a wide range of users. Zutty
+offers high throughput with low latency, and strives to conform to
+relevant (published or de-facto) standards.
+
+Zutty is written in straightforward C++ and only relies on OpenGL
+ES 3.1 for rendering, making it trivially portable to windowing systems
+other than X and operating systems other than Linux. Zutty provides a
+clean implementation written from scratch, resulting in a minimal,
+maintainable, modern codebase unencumbered by historical baggage.
diff --git a/system/zutty/doinst.sh b/system/zutty/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/system/zutty/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/zutty/slack-desc b/system/zutty/slack-desc
new file mode 100644
index 0000000000..490a35d48e
--- /dev/null
+++ b/system/zutty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zutty: zutty (X terminal emulator using OpenGL ES Compute Shaders)
+zutty:
+zutty: Zutty is a terminal emulator for the X Window System, functionally
+zutty: similar to several other X terminal emulators such as xterm, rxvt and
+zutty: countless others. It is also similar to other, much more modern,
+zutty: GPU-accelerated terminal emulators such as Alacritty and Kitty. What
+zutty: really sets Zutty apart is its radically simple, yet extremely
+zutty: efficient rendering implementation.
+zutty:
+zutty: Homepage: https://tomscii.sig7.se/zutty/
+zutty:
diff --git a/system/zutty/zutty.SlackBuild b/system/zutty/zutty.SlackBuild
new file mode 100644
index 0000000000..ead7ee64e6
--- /dev/null
+++ b/system/zutty/zutty.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for zutty
+
+# Copyright 2023-2024 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zutty
+VERSION=${VERSION:-0.16}
+COMMIT=a578956
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-$COMMIT
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION-$COMMIT.tar.gz
+cd $PRGNAM-$VERSION-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./waf configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+./waf
+./waf install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/zutty.desktop $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps
+cp icons/zutty.svg $PKG/usr/share/icons/hicolor/scalable/apps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ra \
+ LICENSE README.org doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/zutty/zutty.desktop b/system/zutty/zutty.desktop
new file mode 100644
index 0000000000..48bc06b753
--- /dev/null
+++ b/system/zutty/zutty.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=Zutty
+Comment=Zero-cost Unicode Teletype
+Exec=zutty
+Terminal=false
+Icon=zutty
+Categories=System;TerminalEmulator;
+Keywords=shell;prompt;command;commandline;cmd;
diff --git a/system/zutty/zutty.info b/system/zutty/zutty.info
new file mode 100644
index 0000000000..da128cdf88
--- /dev/null
+++ b/system/zutty/zutty.info
@@ -0,0 +1,10 @@
+PRGNAM="zutty"
+VERSION="0.16"
+HOMEPAGE="https://tomscii.sig7.se/zutty/"
+DOWNLOAD="https://git.hq.sig7.se/zutty.git/snapshot/0.16.tar.gz"
+MD5SUM="9bd65d967c42763e461fd115ce3443f9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"